[Pkg-virtualbox-devel] Bug#535846: virtualbox-ose-source: virtualbox module version mismatch

Dennis Boone drb at msu.edu
Sun Jul 5 14:48:44 UTC 2009

Subject: virtualbox-ose-source: virtualbox module version mismatch
Package: virtualbox-ose-source
Version: 3.0.0-dfsg-1
Severity: important

*** Please type your report below this line ***

virtualbox-ose package and virtualbox-ose-source package versions do
not match:

ii  virtualbox-ose                                          2.2.4-dfsg-2                x86 virtualization solution - base binaries
ii  virtualbox-ose-modules-2.6.30-1-686-bigmem              3.0.0-dfsg-1                VirtualBox modules for Linux (kernel 2.6.30-1-
ii  virtualbox-ose-qt                                       2.2.4-dfsg-2                x86 virtualization solution - Qt based user in
ii  virtualbox-ose-source                                   3.0.0-dfsg-1                x86 virtualization solution - kernel module so

Trying to start a guest using this configuration fails.  The following
appears in dmesg:

[ 1262.540294] SUP_IOCTL_COOKIE: Version mismatch. Requested: 0xa0009  Min: 0xa0009  Current: 0xe0000

Looking at older bugs, I see version skew has been a problem before.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to es_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages virtualbox-ose-source depends on:
ii  bzip2                  1.0.5-0.1         high-quality block-sorting file co
ii  debhelper              7.2.16            helper programs for debian/rules
ii  dpatch                 2.0.28            patch maintenance system for Debia
ii  kbuild                 1:0.1.98svn2318-1 framework for writing simple makef

Versions of packages virtualbox-ose-source recommends:
ii  module-assistant              0.10.11    tool to make module package creati

-- no debconf information

More information about the Pkg-virtualbox-devel mailing list